Subject: Re: bug#25594: 25.1.91; TeX input method is missing \sqrt macro

From: Stefan Kangas <[email-masked]>
Date: Wed, 22 Jan 2020 15:07:06 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> I don't think we can have both \sqrt and \sqrt[3] in this input method?
> Granted, I don't know much about input methods, but I thought this meant
> that if you typed \sqrt then you'd get √ immediately.  That's why I
> wondered whether the method should be \sqrt[2] to get √, so that you
> could get both √ and ∛.

I was concerned about that too at first, but when testing learned that
you can have both.  It will show you √ after typing "\sqrt", but it
still shows that the completion can continue in the minibuffer.  You
can then just enter "[3]" to replace the √ with ∛.

To be honest, the only surprise here was how smooth and intuitive it
all was.  You should give it a try.  :-)

Best regards,
Stefan Kangas